/*
 * Lab2_TC0_PCPWM.c
 *
 * Author : Roy Kim
 */ 

#include <avr/io.h>


int main(void)
{
	MCUCR = 0x00;						// Pull-up Disable
	DDRD = 0x40;						// RD6(OC0A) output
	
	OCR0A = 0x0F;
	
	TCCR0A = 0x81;						// Clear OC0A on compare match, set OC0A at BOTTOM (Not-inverting mode)
										// Phase Correct PWM Mode
	TCCR0B = 0x03;						// Clock Select: clkio/64
	
	
	while (1)
	{
		if(TIFR0 & 0x01)				// Check TOV0
		{
			TIFR0 |= 0x01;				// Clear TOV0

			OCR0A += 0x10;				// Change duty if TC0 overflow
		}
	}
	
	return 0;
}